<?php

defined('ABSPATH') or die('No script kiddies please!!');
if (!class_exists('STD_Ajax')) {

    class STD_Ajax extends STD_Library {

        function __construct() {
            /**
             * Form process ajax
             */
            add_action('wp_ajax_std_form_process_action', array($this, 'form_process_action'));
            add_action('wp_ajax_nopriv_std_form_process_action', array($this, 'form_process_action'));
        }

        /**
         * Process subscription form
         *
         * @since 1.0.0
         */
        function form_process_action() {
            include(STD_PATH . 'inc/cores/subscription-process.php');
        }

    }

    new STD_Ajax();
}
